package com.pj.project.tb_pass_record;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * Service: tb_pass_record -- 放行日志
 * @author lzm 
 */
@Service
public class TbPassRecordService extends ServiceImpl<TbPassRecordMapper, TbPassRecord> implements IService<TbPassRecord> {

	/** 底层 Mapper 对象 */
	@Autowired
	TbPassRecordMapper tbPassRecordMapper;

	/** 增 */
	int add(TbPassRecord t){
		return tbPassRecordMapper.add(t);
	}

	/** 删 */
	int delete(Long id){
		return tbPassRecordMapper.delete(id);
	}

	/** 改 */
	int update(TbPassRecord t){
		return tbPassRecordMapper.update(t);
	}

	/** 查 */
	TbPassRecord getById(Long id){
		return tbPassRecordMapper.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<TbPassRecord> getList(SoMap so) {
		return tbPassRecordMapper.getList(so);	
	}

    public TbPassRecord getByBusinessId(String businessId){
        return tbPassRecordMapper.getByBusinessId(businessId);
    }
	

}
